# PaymentMethodParameters

PaymentMethodParameters

## List parameters for a tenant payment method

> List parameters for a tenant payment method.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodParameters","description":"PaymentMethodParameters"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantPaymentMethodParameterListResponse":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterResponseSchema"}},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"]}}}}},"schemas":{"TenantPaymentMethodParameterResponseSchema":{"title":"TenantPaymentMethodParameterResponseSchema","type":"object","properties":{"tenantPaymentMethodParameterUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"},"position":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}},"required":["tenantPaymentMethodParameterUid","name","description","required","key","type","regex","position","createdAt","createdBy","lastModifiedAt","lastModifiedBy"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters":{"get":{"summary":"List parameters for a tenant payment method","responses":{"200":{"$ref":"#/components/responses/TenantPaymentMethodParameterListResponse"}},"operationId":"list-tenants-paymentmethods-parameters","description":"List parameters for a tenant payment method.","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"}],"tags":["PaymentMethodParameters"]}}}}
```

## Create parameter for a tenant payment method

> Create a parameter for a tenant payment method.  \
> \`position\` is used to order the fields when they are listed.  \
> \`key\` is the ID of the parameter within the payment method.   \
> \`tenantPaymentMethodParameterUid\` is the primary key of the table. It is assigned a unique UUID but you can assign it your own ID if needed.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodParameters","description":"PaymentMethodParameters"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantPaymentMethodParameterResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodParameterResponseSchema"}}}}},"schemas":{"TenantPaymentMethodParameterResponseSchema":{"title":"TenantPaymentMethodParameterResponseSchema","type":"object","properties":{"tenantPaymentMethodParameterUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"},"position":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}},"required":["tenantPaymentMethodParameterUid","name","description","required","key","type","regex","position","createdAt","createdBy","lastModifiedAt","lastModifiedBy"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodParameterCreateRequestSchema":{"title":"TenantPaymentMethodParameterCreateRequestSchema","type":"object","properties":{"tenantPaymentMethodParameterUid":{"$ref":"#/components/schemas/OptionalUID"},"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression","format":"regex"},"position":{"type":"integer"}},"required":["name","required","key","type"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"}},"requestBodies":{"TenantPaymentMethodParameterCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodParameterCreateRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters":{"post":{"summary":"Create parameter for a tenant payment method","operationId":"post-tenants-paymentmethods-parameters","responses":{"201":{"$ref":"#/components/responses/TenantPaymentMethodParameterResponse"}},"description":"Create a parameter for a tenant payment method.  \n`position` is used to order the fields when they are listed.  \n`key` is the ID of the parameter within the payment method.   \n`tenantPaymentMethodParameterUid` is the primary key of the table. It is assigned a unique UUID but you can assign it your own ID if needed.","requestBody":{"$ref":"#/components/requestBodies/TenantPaymentMethodParameterCreateRequest"},"tags":["PaymentMethodParameters"]}}}}
```

## Get a parameter for a tenant payment method

> Get a parameter for a tenant payment method.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodParameters","description":"PaymentMethodParameters"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantPaymentMethodParameterResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodParameterResponseSchema"}}}}},"schemas":{"TenantPaymentMethodParameterResponseSchema":{"title":"TenantPaymentMethodParameterResponseSchema","type":"object","properties":{"tenantPaymentMethodParameterUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"},"position":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}},"required":["tenantPaymentMethodParameterUid","name","description","required","key","type","regex","position","createdAt","createdBy","lastModifiedAt","lastModifiedBy"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters/{tenantPaymentMethodParameterUid}":{"get":{"summary":"Get a parameter for a tenant payment method","responses":{"200":{"$ref":"#/components/responses/TenantPaymentMethodParameterResponse"}},"operationId":"get-tenants-paymentmethods-parameters","description":"Get a parameter for a tenant payment method.","tags":["PaymentMethodParameters"]}}}}
```

## Update a parameter for a tenant payment method

> Update a parameter for a tenant payment method.  \
> \`position\` is used to order the fields when they are listed.  \
> \`key\` is the ID of the parameter within the payment method.   \
> \`tenantPaymentMethodParameterUid\` is the primary key of the table. It is assigned a unique UUID but you can assign it your own ID if needed.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodParameters","description":"PaymentMethodParameters"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantPaymentMethodParameterResponse":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodParameterResponseSchema"}}}}},"schemas":{"TenantPaymentMethodParameterResponseSchema":{"title":"TenantPaymentMethodParameterResponseSchema","type":"object","properties":{"tenantPaymentMethodParameterUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"},"position":{"type":"integer"},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"}},"required":["tenantPaymentMethodParameterUid","name","description","required","key","type","regex","position","createdAt","createdBy","lastModifiedAt","lastModifiedBy"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodParameterUpdateRequestSchema":{"title":"TenantPaymentMethodParameterUpdateRequestSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression","format":"regex"},"position":{"type":"integer"}}}},"requestBodies":{"TenantPaymentMethodParameterUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodParameterUpdateRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters/{tenantPaymentMethodParameterUid}":{"put":{"summary":"Update a parameter for a tenant payment method","operationId":"put-tenants-paymentmethods-parameters","responses":{"200":{"$ref":"#/components/responses/TenantPaymentMethodParameterResponse"}},"description":"Update a parameter for a tenant payment method.  \n`position` is used to order the fields when they are listed.  \n`key` is the ID of the parameter within the payment method.   \n`tenantPaymentMethodParameterUid` is the primary key of the table. It is assigned a unique UUID but you can assign it your own ID if needed.","requestBody":{"$ref":"#/components/requestBodies/TenantPaymentMethodParameterUpdateRequest"},"tags":["PaymentMethodParameters"]}}}}
```

## Delete a parameter for a tenant payment method

> Delete a parameter for a tenant payment method.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodParameters","description":"PaymentMethodParameters"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters/{tenantPaymentMethodParameterUid}":{"delete":{"summary":"Delete a parameter for a tenant payment method","operationId":"delete-tenants-paymentmethods-parameters","responses":{"204":{"description":"No Content"}},"description":"Delete a parameter for a tenant payment method.","tags":["PaymentMethodParameters"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/paymentmethodparameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
